# Uses of Class
org.apache.commons.math3.geometry.euclidean.oned.Euclidean1D

Packages that use Euclidean1D
Package
Description
org.apache.commons.math3.geometry.euclidean.oned
This package provides basic 1D geometry components.
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.
org.apache.commons.math3.geometry.euclidean.twod
This package provides basic 2D geometry components.

## Uses of Euclidean1D in org.apache.commons.math3.geometry.euclidean.oned

Methods in org.apache.commons.math3.geometry.euclidean.oned that return Euclidean1D
Modifier and Type
Method
Description
`static Euclidean1D`
Euclidean1D.`getInstance()`
Get the unique instance.
Methods in org.apache.commons.math3.geometry.euclidean.oned that return types with arguments of type Euclidean1D
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Euclidean1D,Euclidean1D>`
SubOrientedPoint.`buildNew(Hyperplane<Euclidean1D> hyperplane, Region<Euclidean1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`protected AbstractSubHyperplane<Euclidean1D,Euclidean1D>`
SubOrientedPoint.`buildNew(Hyperplane<Euclidean1D> hyperplane, Region<Euclidean1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`Point<Euclidean1D>`
OrientedPoint.`project(Point<Euclidean1D> point)`
Project a point to the hyperplane.
`BoundaryProjection<Euclidean1D>`
IntervalsSet.`projectToBoundary(Point<Euclidean1D> point)`
Project a point on the boundary of the region.
`SubHyperplane.SplitSubHyperplane<Euclidean1D>`
SubOrientedPoint.`split(Hyperplane<Euclidean1D> hyperplane)`
Split the instance in two parts by an hyperplane.
Method parameters in org.apache.commons.math3.geometry.euclidean.oned with type arguments of type Euclidean1D
Modifier and Type
Method
Description
`Vector1D`
Vector1D.`add(double factor, Vector<Euclidean1D> v)`
Add a scaled vector to the instance.
`Vector1D`
Vector1D.`add(Vector<Euclidean1D> v)`
Add a vector to the instance.
`IntervalsSet`
IntervalsSet.`buildNew(BSPTree<Euclidean1D> tree)`
Build a region using the instance as a prototype.
`protected AbstractSubHyperplane<Euclidean1D,Euclidean1D>`
SubOrientedPoint.`buildNew(Hyperplane<Euclidean1D> hyperplane, Region<Euclidean1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`protected AbstractSubHyperplane<Euclidean1D,Euclidean1D>`
SubOrientedPoint.`buildNew(Hyperplane<Euclidean1D> hyperplane, Region<Euclidean1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`double`
Vector1D.`distance(Point<Euclidean1D> p)`
Compute the distance between the instance and another point.
`double`
Vector1D.`distance(Vector<Euclidean1D> p)`
Deprecated.
as of 3.3, replaced with `Vector1D.distance(Point)`
`double`
Vector1D.`distance1(Vector<Euclidean1D> p)`
Compute the distance between the instance and another vector according to the L1 norm.
`double`
Vector1D.`distanceInf(Vector<Euclidean1D> p)`
Compute the distance between the instance and another vector according to the L∞ norm.
`double`
Vector1D.`distanceSq(Vector<Euclidean1D> p)`
Compute the square of the distance between the instance and another vector.
`double`
Vector1D.`dotProduct(Vector<Euclidean1D> v)`
Compute the dot-product of the instance and another vector.
`StringBuffer`
Vector1DFormat.`format(Vector<Euclidean1D> vector, StringBuffer toAppendTo, FieldPosition pos)`
Formats a `Vector` object to produce a string.
`double`
OrientedPoint.`getOffset(Point<Euclidean1D> point)`
Get the offset (oriented distance) of a point.
`double`
OrientedPoint.`getOffset(Vector<Euclidean1D> vector)`
Get the offset (oriented distance) of a vector.
`Point<Euclidean1D>`
OrientedPoint.`project(Point<Euclidean1D> point)`
Project a point to the hyperplane.
`BoundaryProjection<Euclidean1D>`
IntervalsSet.`projectToBoundary(Point<Euclidean1D> point)`
Project a point on the boundary of the region.
`boolean`
OrientedPoint.`sameOrientationAs(Hyperplane<Euclidean1D> other)`
Check if the instance has the same orientation as another hyperplane.
`SubHyperplane.SplitSubHyperplane<Euclidean1D>`
SubOrientedPoint.`split(Hyperplane<Euclidean1D> hyperplane)`
Split the instance in two parts by an hyperplane.
`Vector1D`
Vector1D.`subtract(double factor, Vector<Euclidean1D> v)`
Subtract a scaled vector from the instance.
`Vector1D`
Vector1D.`subtract(Vector<Euclidean1D> p)`
Subtract a vector from the instance.
Constructor parameters in org.apache.commons.math3.geometry.euclidean.oned with type arguments of type Euclidean1D
Modifier
Constructor
Description
``
`IntervalsSet(Collection<SubHyperplane<Euclidean1D>> boundary)`
Deprecated.
as of 3.3, replaced with `IntervalsSet(Collection, double)`
``
`IntervalsSet(Collection<SubHyperplane<Euclidean1D>> boundary, double tolerance)`
Build an intervals set from a Boundary REPresentation (B-rep).
``
`IntervalsSet(BSPTree<Euclidean1D> tree)`
Deprecated.
as of 3.3, replaced with `IntervalsSet(BSPTree, double)`
``
`IntervalsSet(BSPTree<Euclidean1D> tree, double tolerance)`
Build an intervals set from an inside/outside BSP tree.
``
`SubOrientedPoint(Hyperplane<Euclidean1D> hyperplane, Region<Euclidean1D> remainingRegion)`
Simple constructor.
``
`SubOrientedPoint(Hyperplane<Euclidean1D> hyperplane, Region<Euclidean1D> remainingRegion)`
Simple constructor.

## Uses of Euclidean1D in org.apache.commons.math3.geometry.euclidean.threed

Method parameters in org.apache.commons.math3.geometry.euclidean.threed with type arguments of type Euclidean1D
Modifier and Type
Method
Description
`Vector3D`
Line.`toSpace(Point<Euclidean1D> point)`
Transform a sub-space point into a space point.
`Vector3D`
Line.`toSpace(Vector<Euclidean1D> vector)`
Transform a sub-space point into a space point.

## Uses of Euclidean1D in org.apache.commons.math3.geometry.euclidean.twod

Methods in org.apache.commons.math3.geometry.euclidean.twod that return Euclidean1D
Modifier and Type
Method
Description
`Euclidean1D`
Euclidean2D.`getSubSpace()`
Get the n-1 dimension subspace of this space.
Methods in org.apache.commons.math3.geometry.euclidean.twod that return types with arguments of type Euclidean1D
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Euclidean2D,Euclidean1D>`
SubLine.`buildNew(Hyperplane<Euclidean2D> hyperplane, Region<Euclidean1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`static Transform<Euclidean2D,Euclidean1D>`
Line.`getTransform(double cXX, double cYX, double cXY, double cYY, double cX1, double cY1)`
Get a `Transform` embedding an affine transform.
`static Transform<Euclidean2D,Euclidean1D>`
Line.`getTransform(AffineTransform transform)`
Deprecated.
as of 3.6, replaced with `Line.getTransform(double, double, double, double, double, double)`
Method parameters in org.apache.commons.math3.geometry.euclidean.twod with type arguments of type Euclidean1D
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Euclidean2D,Euclidean1D>`
SubLine.`buildNew(Hyperplane<Euclidean2D> hyperplane, Region<Euclidean1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`Vector2D`
Line.`toSpace(Point<Euclidean1D> point)`
Transform a sub-space point into a space point.
`Vector2D`
Line.`toSpace(Vector<Euclidean1D> vector)`
Transform a sub-space point into a space point.
Constructor parameters in org.apache.commons.math3.geometry.euclidean.twod with type arguments of type Euclidean1D
Modifier
Constructor
Description
``
`SubLine(Hyperplane<Euclidean2D> hyperplane, Region<Euclidean1D> remainingRegion)`
Simple constructor.